acme(1)

NAME
acme - Multi-platform cross assembler for 6502/6510/65816 CPU

DESCRIPTION
ACME - the ACME Crossassembler for Multiple Environments

Usage: acme [OPTION...] [FILE]...

OPTIONS

-h, --help
    show this help and exit

-f, --format FORMAT
    set output file format

-o, --outfile FILE
    set output file name

-r, --report FILE
    set report file name

-l, --symbollist FILE
    set symbol list file name

--labeldump
    (old name for --symbollist)

--vicelabels FILE
    set file name for label dump in VICE format

--setpc NUMBER
    set program counter

--cpu CPU
    set target processor

--initmem NUMBER
    define 'empty' memory

--maxerrors NUMBER set number of errors before exiting

--maxdepth NUMBER
    set recursion depth for macro calls and !src

-vDIGIT
    set verbosity level

-DSYMBOL=VALUE
    define global symbol

-Wno-label-indent
    suppress warnings about indented labels

-Wno-old-for
    suppress warnings about old "!for" syntax

-Wtype-mismatch
    enable type checking (warn about type mismatch)

--use-stdout
    fix for 'Relaunch64' IDE (see docs)

--msvc
    set output error message format to that of MS Visual Studio

--color
    enable colored error output using ANSI escape codes

-V, --version
    show version and exit

    Platform independent version.